List AI model configs
Get all AI model configs for a project.
Authorizations
Path Parameters
The project key
Query Parameters
Whether to return only restricted models
A sort to apply to the list of AgentControl configs.
A filter to apply to the list.
Response
Successful response
Human-readable name of the model
"GPT Image 2"
Unique key for the model config in the project, in the format Provider.model-id. Use this value as modelConfigKey on a config variation.
"OpenAI.gpt-image-2"
Model ID that the provider's API uses. This is different from key. Use this value as modelName on a config variation.
"gpt-image-2"
Whether the model is in the LaunchDarkly global catalog. Global models are read-only. Model configs that you create are always custom, with global set to false.
Tags for the model config. Tags can be used in custom role policies.
Version of the model config. Starts at 1, and each update that changes the model config adds a new version.
2
Whether the model is on the project's restricted list. Config variations cannot select a restricted model. To change this, use the add or remove restricted models endpoints.
The member or team that maintains this resource
- Option 1
- Option 2
Icon for the model
"openai"
Provider for the model. Matches the provider prefix of key.
"OpenAI"
Freeform JSON object. LaunchDarkly does not validate the keys. In a model config, params and customParams hold parameters that the provider's API accepts, for example {"temperature": 0.7, "maxTokens": 4096}.
Freeform JSON object. LaunchDarkly does not validate the keys. In a model config, params and customParams hold parameters that the provider's API accepts, for example {"temperature": 0.7, "maxTokens": 4096}.
Cost per input token in USD
0.000005
Cost per output token in USD
0.00004
Cost per cached input token in USD
0.00000125
Number of distinct AgentControl configs that reference this model